/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-d-none { display: none !important; }
.nv-d-inline { display: inline !important; }
.nv-d-inline-block { display: inline-block !important; }
.nv-d-block { display: block !important; }
.nv-d-table { display: table !important; }
.nv-d-table-row { display: table-row !important; }
.nv-d-table-cell { display: table-cell !important; }
.nv-d-flex { display: flex !important; }
.nv-d-inline-flex { display: inline-flex !important; }
.nv-d-grid { display: grid !important; }


@include sm() {
  .nv-d-sm-none { display: none !important; }
  .nv-d-sm-inline { display: inline !important; }
  .nv-d-sm-inline-block { display: inline-block !important; }
  .nv-d-sm-block { display: block !important; }
  .nv-d-sm-table { display: table !important; }
  .nv-d-sm-table-row { display: table-row !important; }
  .nv-d-sm-table-cell { display: table-cell !important; }
  .nv-d-sm-flex { display: flex !important; }
  .nv-d-sm-inline-flex { display: inline-flex !important; }
  .nv-d-sm-grid { display: grid !important; }
}

@include md() {
  .nv-d-md-none { display: none !important; }
  .nv-d-md-inline { display: inline !important; }
  .nv-d-md-inline-block { display: inline-block !important; }
  .nv-d-md-block { display: block !important; }
  .nv-d-md-table { display: table !important; }
  .nv-d-md-table-row { display: table-row !important; }
  .nv-d-md-table-cell { display: table-cell !important; }
  .nv-d-md-flex { display: flex !important; }
  .nv-d-md-inline-flex { display: inline-flex !important; }
  .nv-d-md-grid { display: grid !important; }
}

@include lg() {
  .nv-d-lg-none { display: none !important; }
  .nv-d-lg-inline { display: inline !important; }
  .nv-d-lg-inline-block { display: inline-block !important; }
  .nv-d-lg-block { display: block !important; }
  .nv-d-lg-table { display: table !important; }
  .nv-d-lg-table-row { display: table-row !important; }
  .nv-d-lg-table-cell { display: table-cell !important; }
  .nv-d-lg-flex { display: flex !important; }
  .nv-d-lg-inline-flex { display: inline-flex !important; }
  .nv-d-lg-grid { display: grid !important; }
}

@include xl() {
  .nv-d-xl-none { display: none !important; }
  .nv-d-xl-inline { display: inline !important; }
  .nv-d-xl-inline-block { display: inline-block !important; }
  .nv-d-xl-block { display: block !important; }
  .nv-d-xl-table { display: table !important; }
  .nv-d-xl-table-row { display: table-row !important; }
  .nv-d-xl-table-cell { display: table-cell !important; }
  .nv-d-xl-flex { display: flex !important; }
  .nv-d-xl-inline-flex { display: inline-flex !important; }
  .nv-d-xl-grid { display: grid !important; }
}

@include xxl() {
  .nv-d-xxl-none { display: none !important; }
  .nv-d-xxl-inline { display: inline !important; }
  .nv-d-xxl-inline-block { display: inline-block !important; }
  .nv-d-xxl-block { display: block !important; }
  .nv-d-xxl-table { display: table !important; }
  .nv-d-xxl-table-row { display: table-row !important; }
  .nv-d-xxl-table-cell { display: table-cell !important; }
  .nv-d-xxl-flex { display: flex !important; }
  .nv-d-xxl-inline-flex { display: inline-flex !important; }
  .nv-d-xxl-grid { display: grid !important; }
}


@include xxxl() {
  .nv-d-xxxl-none { display: none !important; }
  .nv-d-xxxl-inline { display: inline !important; }
  .nv-d-xxxl-inline-block { display: inline-block !important; }
  .nv-d-xxxl-block { display: block !important; }
  .nv-d-xxxl-table { display: table !important; }
  .nv-d-xxxl-table-row { display: table-row !important; }
  .nv-d-xxxl-table-cell { display: table-cell !important; }
  .nv-d-xxxl-flex { display: flex !important; }
  .nv-d-xxxl-inline-flex { display: inline-flex !important; }
  .nv-d-xxxl-grid { display: grid !important; }
}

